Subject: [apps-discuss] APPSDIR review of draft-ietf-rmt-flute-sdp-03

From: Salvatore Loreto <[email-masked]>
Date: Mon, 21 Jan 2013 15:36:08 +0200

I have been selected as the Applications Area Directorate reviewer for this draft (for background on appsdir, please see
http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate  ).

Please resolve these comments along with any other Last Call comments
you may receive. Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-rmt-flute-sdp-03
Title: SDP Descriptors for FLUTE
Reviewer: Salvatore Loreto
Review Date: 2013-01-21
IETF Last Call Date: 2013-01-22
IESG Telechat Date: 2013-01-24

Summary: This draft is almost ready for publication as Proposed Standard

Major Issues:
     None

Minor Issues:
-------------
1)3.2.1.  Composite Session Semantics for FLUTE Sessions

1.1) second paragraph, the first sentence states:

    "The Composite Session provides an unambiguous way to define multiple
    FLUTE sessions as distinct from multiple the media-sessions semantics
    of RTP."

I guess it should be somethin glike

    "The Composite Session provides an unambiguous way to define multiple
    FLUTE sessions as distinct.

1.2) the following sentece in the same paragraph states:

    "It is used for describing more than one FLUTE session in an
    SDP instance and so its general use and support in SDP are OPTIONAL."

I would suggest to change in something like

    As it is used for describing more than one FLUTE session in an
    SDP instance this SDP parameter is OPTIONAL.

2) the follow sentence should be added to the end of the section "Section 6.1 Transport Protocol"

These proto values should be registered by the IANA under "Session Description Protocol (SDP) Parameters" under "proto".

3) in Section 6.2 Attribute Name

the sentence

    As recommended by [RFC4566  <http://tools.ietf.org/html/rfc4566>], the new attribute names "flute-tsi",
    "flute-ch", "FEC-declaration", "FEC", "FEC-OTI-extension" and
    "content-desc" should be registered with IANA, as follows:

should be modified in

    As recommended by [RFC4566  <http://tools.ietf.org/html/rfc4566>], the new attribute names "flute-tsi",
    "flute-ch", "FEC-declaration", "FEC", "FEC-OTI-extension" and
    "content-desc" should beregistered by IANA under "Session
     Description Protocol (SDP) Parameters" under "att-field"  as
    follows:

please also check which "att-field" is the right one for each attribute the draft is requesting registration!

Nits:
-----
- the draft still refence the draft-ietf-rmt-flute-revised-16 while it is now RFC 6726